namespace Application.Features.Api.MyPage.ChargeLogs;

public sealed record Response(
    List<ChargeLogItem> List,
    int Total,
    int Page,
    int PerPage
);

public sealed record ChargeLogItem(
    int ID,
    string OrderID,
    int Amount,
    int PointAmount,
    int VatAmount,
    string PaymentMethod,
    string Status,
    DateTime CreatedAt,
    DateTime? PaidAt
);